curl --request PATCH \
--url https://api.opensource-together.com/users/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated user",
"bio": "This is an updated bio",
"jobTitle": "Updated jobTitle"
}
'{
"data": {
"id": "usr_c54b633eb12f4900b92b34e222096449",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"banner": "<string>",
"bio": "<string>",
"jobTitle": "<string>",
"githubUrl": "https://github.com/username",
"gitlabUrl": "https://gitlab.com/username",
"twitterUrl": "https://twitter.com/username",
"linkedinUrl": "https://linkedin.com/in/username",
"discordUrl": "https://discord.gg/server",
"websiteUrl": "https://example.com",
"betaTester": false,
"connectedProviders": [
"github",
"gitlab"
],
"userExperiences": [
{
"startAt": "2023-01-15",
"endAt": "2023-12-31",
"title": "Senior Software Engineer",
"url": "https://company.com"
}
],
"userTechStacks": [
{
"id": "tst_c54b633eb12f4900b92b34e222096449",
"name": "React",
"iconUrl": "https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/react/react-original.svg",
"type": "TECH"
}
],
"userCategories": [
{
"id": "cat_c54b633eb12f4900b92b34e222096449",
"name": "API & Microservices"
}
],
"contributionGraph": {
"totalContributions": 720,
"weeks": [
{
"contributionDays": [
{
"date": "2025-10-06",
"contributionCount": 5,
"contributionLevel": "SECOND_QUARTILE",
"color": "#40c463"
}
]
}
]
}
},
"timestamp": "2025-09-03T13:04:43.353Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}Update a user
Update an existing user with the provided data
curl --request PATCH \
--url https://api.opensource-together.com/users/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated user",
"bio": "This is an updated bio",
"jobTitle": "Updated jobTitle"
}
'{
"data": {
"id": "usr_c54b633eb12f4900b92b34e222096449",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"banner": "<string>",
"bio": "<string>",
"jobTitle": "<string>",
"githubUrl": "https://github.com/username",
"gitlabUrl": "https://gitlab.com/username",
"twitterUrl": "https://twitter.com/username",
"linkedinUrl": "https://linkedin.com/in/username",
"discordUrl": "https://discord.gg/server",
"websiteUrl": "https://example.com",
"betaTester": false,
"connectedProviders": [
"github",
"gitlab"
],
"userExperiences": [
{
"startAt": "2023-01-15",
"endAt": "2023-12-31",
"title": "Senior Software Engineer",
"url": "https://company.com"
}
],
"userTechStacks": [
{
"id": "tst_c54b633eb12f4900b92b34e222096449",
"name": "React",
"iconUrl": "https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/react/react-original.svg",
"type": "TECH"
}
],
"userCategories": [
{
"id": "cat_c54b633eb12f4900b92b34e222096449",
"name": "API & Microservices"
}
],
"contributionGraph": {
"totalContributions": 720,
"weeks": [
{
"contributionDays": [
{
"date": "2025-10-06",
"contributionCount": 5,
"contributionLevel": "SECOND_QUARTILE",
"color": "#40c463"
}
]
}
]
}
},
"timestamp": "2025-09-03T13:04:43.353Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}Path Parameters
Public ID of the user
Body
User name
"John Doe"
User bio
"Software developer passionate about technology"
User job title
"Senior Software Engineer"
GitHub profile URL (must be from github.com and use HTTPS)
"https://github.com/username"
Gitlab profile URL (must be from gitlab.com and use HTTPS)
"https://gitlab.com/username"
Twitter/X profile URL (must be from twitter.com or x.com and use HTTPS)
"https://twitter.com/username"
LinkedIn profile URL (must be from linkedin.com and use HTTPS)
"https://linkedin.com/in/username"
Discord server or profile URL (must be from discord.com or discord.gg and use HTTPS)
"https://discord.gg/server"
Personal website URL (must use HTTPS)
"https://example.com"
Array of usertech stack IDs (public IDs starting with tst_)
10[
"tst_c54b633eb12f4900b92b34e222096449",
"tst_d54b633eb12f4900b92b34e222096450"
]
Array of user category IDs (public IDs starting with cat_)
[
"cat_c54b633eb12f4900b92b34e222096449",
"cat_d54b633eb12f4900b92b34e222096450"
]
Array of user experiences with start date, end date, title and optional URL
Show child attributes
Show child attributes
[
{
"startAt": "2023-01-15",
"endAt": "2023-12-31",
"title": "Senior Software Engineer",
"url": "https://company.com"
},
{
"startAt": "2022-01-01",
"endAt": null,
"title": "Full Stack Developer",
"url": null
}
]